function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_default"
end

function p.__main()
    set_default_block("s")
    set_pos(7,5,15,"block_lev1_start_beta")
    set_pos(7,6,15,"block_lev1_start")
    set_pos(7,7,15,"block_lev1_stairs")
    set_pos(8,7,15,"block_lev1_waypoint")
    set_pos(6,7,15,"block_lev1_workshop")
    set_pos(7,8,15,"block_lev1_dragon_room")
    
    set_pos(7,7,14,"block_lev2_stairs")
    set_pos(7,6,14,"block_lev2_sounds")
    set_pos(7,8,14,"block_lev2_tex1")
    set_pos(7,9,14,"block_lev2_tex2")
    set_pos(7,10,14,"block_lev2_tex3")
    set_pos(7,11,14,"block_lev2_tex4")

    set_pos(7,12,14,"block_lev2_branch")
    set_pos(6,12,14,"block_lev2_mesh")
    
    set_pos(7,12,15,"block_lev1_err1")
    set_pos(8,12,15,"block_lev1_err2")
    set_pos(8,11,15,"block_lev1_err3")

    set_pos(7,7,13,"block_lev3_stairs")
    set_pos(7,6,13,"block_lev3_helpers")
    set_pos(8,7,13,"block_lev3_startingpos")
    set_pos(8,6,13,"block_lev3_newpackage")
    set_pos(7,8,13,"block_lev3_3funcs")
    set_pos(8,8,13,"block_lev3_simple")
    set_pos(9,8,13,"block_lev3_lua_remark")
    set_pos(9,7,13,"block_lev3_blockfuncs")
    set_pos(10,7,13,"block_lev3_blockfuncs2")
    set_pos(9,6,13,"block_lev3_rand")
    set_pos(10,6,13,"block_lev3_gen_input")
    set_pos(11,6,13,"block_lev3_adj_bt")
    set_pos(12,6,13,"block_lev3_gen_input_block_vars1")
    set_pos(12,7,13,"block_lev3_gen_input_block_vars2")
    set_pos(9,5,13,"block_lev3_seed")
    set_pos(8,5,13,"block_lev3_blue")
    set_pos(7,5,13,"block_lev3_bents")
    set_pos(6,5,13,"block_lev3_ments")
    
    set_pos(6,4,13,"block_lev3_photograph")
    
    set_pos(5,5,13,"block_lev3_env_rects")
    set_pos(4,5,13,"block_lev3_env_rects2")

    set_pos(7,7,12,"block_lev4_stairs")
    set_pos(7,8,12,"block_lev4_rect")
    set_pos(7,9,12,"block_lev4_center")
    set_pos(7,10,12,"block_lev4_tubes")
    set_pos(7,11,12,"block_lev4_tubes2")
    set_pos(8,11,12,"block_lev4_sprinkles")
    set_pos(6,11,12,"block_lev4_maze1a")
    set_pos(6,10,12,"block_lev4_maze2a")
    set_pos(6,9,12,"block_lev4_caves1a")
    set_pos(6,8,12,"block_lev4_caves2a")

    set_pos(7,7,11,"block_lev5_stairs")
    set_pos(7,8,11,"block_lev5_globals")
    set_pos(6,8,11,"block_lev5_hud1")
    set_pos(6,9,11,"block_lev5_hud2")
    set_pos(6,10,11,"block_lev5_hud3")
    set_pos(7,9,11,"block_lev5_binds1")
    set_pos(7,10,11,"block_lev5_binds2")
    set_pos(7,11,11,"block_lev5_diamond_bents")
end
